XSLTProcess.Factory.Attribute (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: XSLTProcess, class: Factory, class: Attribute

# Class XSLTProcess.Factory.Attribute

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.XSLTProcess.Factory.Attribute

All Implemented Interfaces:
  `Cloneable, DynamicAttribute, DynamicConfigurator, DynamicElement`

Enclosing class:
  `XSLTProcess.Factory`

public static class XSLTProcess.Factory.Attribute extends ProjectComponent implements DynamicConfigurator
A JAXP factory attribute. This is mostly processor specific, for example for Xalan 2.3+, the following attributes could be set:

- http://xml.apache.org/xalan/features/optimize (true|false)
- http://xml.apache.org/xalan/features/incremental (true|false)

Since:
  Ant 1.6

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Attribute()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `createDynamicElement(String name)`
  Not used.
  `String`
  `getName()`
  `Object`
  `getValue()`
  `void`
  `setDynamicAttribute(String name, String value)`
  Set an attribute.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Attribute

    public Attribute()

- ## Method Details

  - ### getName

    public String getName()
    Returns:
      the attribute name.

  - ### getValue

    public Object getValue()
    Returns:
      the attribute value.

  - ### createDynamicElement

    public Object createDynamicElement(String name) throws BuildException
    Not used.
    Specified by:
      `createDynamicElement` in interface `DynamicElement`
    Parameters:
      `name` - not used
    Returns:
      null
    Throws:
      `BuildException` - never

  - ### setDynamicAttribute

    public void setDynamicAttribute(String name, String value) throws BuildException
    Set an attribute. Only "name" and "value" are supported as names.
    Specified by:
      `setDynamicAttribute` in interface `DynamicAttribute`
    Parameters:
      `name` - the name of the attribute
      `value` - the value of the attribute
    Throws:
      `BuildException` - on error